# QCA::CertificateInfoType Class Reference
[QCA user API]

Certificate information type. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::CertificateInfoType:

[legend]

List of all members.

## Public Types

enum | Section { DN, AlternativeName }

## Public Member Functions

| CertificateInfoType (const CertificateInfoType &from)
| CertificateInfoType (const QString &id, Section section)
| CertificateInfoType (CertificateInfoTypeKnown known)
| CertificateInfoType ()
QString | id () const
CertificateInfoTypeKnown | known () const
bool | operator!= (const CertificateInfoType &other) const
bool | operator< (const CertificateInfoType &other) const
CertificateInfoType & | operator= (const CertificateInfoType &from)
bool | operator== (const CertificateInfoType &other) const
Section | section () const

## Detailed Description

Certificate information type.

This class represents a type of information being stored in a certificate. It can be created either using a known type (from the Known enumerator) or an identifier string (usually an OID). Types created either way are interchangeable.

Types also have the notion of a Section. Some types may reside in the Distinguished Name field of a certificate, and some types may reside in the Subject Alternative Name field. This class is capable of representing a type from either section.

In the general case, applications will want to use the CertificateInfoTypeKnown enumerator types. These are from RFC3280 (http://www.ietf.org/rfc/rfc3280.txt) except where shown.

The entries for IncorporationLocality, IncorporationState and IncorporationCountry are the same as Locality, State and Country respectively, except that the Extended Validation (EV) certificate guidelines (published by the Certificate Authority / Browser Forum, see http://www.cabforum.org) distinguish between the place of where the company does business (which is the Locality / State / Country combination) and the jurisdiction where the company is legally incorporated (the IncorporationLocality / IncorporationState / IncorporationCountry combination).

See also:
  Certificate::subjectInfo() and Certificate::issuerInfo()

  CRL::issuerInfo()

## Member Enumeration Documentation

enum QCA::CertificateInfoType::Section

Section of the certificate that the information belongs in.

Enumerator:

  DN | Distinguished name (the primary name).
  AlternativeName | Alternative name.

## Constructor & Destructor Documentation

QCA::CertificateInfoType::CertificateInfoType | ( |  | ) |

Standard constructor.

QCA::CertificateInfoType::CertificateInfoType | ( | CertificateInfoTypeKnown | known | ) |

Construct a new type.

The section will be derived by known.

Parameters:

  | known | the type as part of the CertificateInfoTypeKnown enumerator

QCA::CertificateInfoType::CertificateInfoType | ( | const QString & | id,
|  | Section | section |
| ) |  |  |

Construct a new type.

Parameters:

  | id | the type as an identifier string (OID or internal)
  | section | the section this type belongs in

See also:
  id

QCA::CertificateInfoType::CertificateInfoType | ( | const CertificateInfoType & | from | ) |

Standard copy constructor.

Parameters:

  | from | the certificate information to copy from

## Member Function Documentation

QString QCA::CertificateInfoType::id | ( |  | ) | const

The type as an identifier string.

For types that have OIDs, this function returns an OID in string form. For types that do not have OIDs, this function returns an internal identifier string whose first character is not a digit (this allows you to tell the difference between an OID and an internal identifier).

It is hereby stated that General Names (of the X.509 Subject Alternative Name) shall use the internal identifier format "GeneralName.[rfc field name]". For example, the rfc822Name field would have the identifier "GeneralName.rfc822Name".

Applications should not store, use, or compare against internal identifiers unless the identifiers are explicitly documented (e.g. GeneralName).

CertificateInfoTypeKnown QCA::CertificateInfoType::known | ( |  | ) | const

The type as part of the CertificateInfoTypeKnown enumerator.

This function may return a value that does not exist in the enumerator. In that case, you may use id() to determine the type.

bool QCA::CertificateInfoType::operator!= | ( | const CertificateInfoType & | other | ) | const`[inline]`

Inequality operator.

Parameters:

  | other | the certificate information to compare with this certificate information.

bool QCA::CertificateInfoType::operator< | ( | const CertificateInfoType & | other | ) | const

Comparison operator.

Parameters:

  | other | the certificate information to compare with this certificate information.

CertificateInfoType& QCA::CertificateInfoType::operator= | ( | const CertificateInfoType & | from | ) |

Standard assignment operator.

Parameters:

  | from | the certificate information to assign from

bool QCA::CertificateInfoType::operator== | ( | const CertificateInfoType & | other | ) | const

Comparison operator.

Parameters:

  | other | the certificate information to compare with this certificate information.

Section QCA::CertificateInfoType::section | ( |  | ) | const

The section the type is part of.

The documentation for this class was generated from the following file:

- qca_cert.h